# Uses of Class
org.eclipse.ui.editors.text.TextFileDocumentProvider.DocumentProviderOperation

Packages that use TextFileDocumentProvider.DocumentProviderOperation
Package
Description
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.

## Uses of TextFileDocumentProvider.DocumentProviderOperation in org.eclipse.ui.editors.text

Methods in org.eclipse.ui.editors.text that return TextFileDocumentProvider.DocumentProviderOperation
Modifier and Type
Method
Description
`protected TextFileDocumentProvider.DocumentProviderOperation`
TextFileDocumentProvider.`createSaveOperation(Object element, IDocument document, boolean overwrite)`
Methods in org.eclipse.ui.editors.text with parameters of type TextFileDocumentProvider.DocumentProviderOperation
Modifier and Type
Method
Description
`protected void`
TextFileDocumentProvider.`executeOperation(TextFileDocumentProvider.DocumentProviderOperation operation, IProgressMonitor monitor)`
Executes the given operation in the providers runnable context.